package basic.update.model;

/**
 * 服务器返回的升级应答信息
 * @author zhangrm@wasu.com
 */
public class UpdateInfo {

	public final static String NEEDUPDATE = "needupdate";
	public final static String UPDATEVERSION = "updateversion";
	public final static String UPDATEINFO = "updateinfo";
	public final static String UPDATEURL = "updateurl";

	/**
	 * 是否升级,0不升级,1不强制升级2,强制升级
	 */
	private String needUpdate;
	/**
	 * 版本号
	 */
	private String updateVersion;
	/**
	 * 版本说明信息
	 */
	private String updateInfo;
	/**
	 * 新版本下载地址
	 */
	private String updateUrl;

	public String getNeedUpdate() {
		return this.needUpdate;
	}

	public void setNeedUpdate(String needUpdate) {
		this.needUpdate = needUpdate;
	}

	public String getUpdateVersion() {
		return this.updateVersion;
	}

	public void setUpdateVersion(String updateVersion) {
		this.updateVersion = updateVersion;
	}

	public String getUpdateInfo() {
		return this.updateInfo;
	}

	public void setUpdateInfo(String updateInfo) {
		this.updateInfo = updateInfo;
	}

	public String getUpdateUrl() {
		return this.updateUrl;
	}

	public void setUpdateUrl(String updateUrl) {
		this.updateUrl = updateUrl;
	}

}
